Bug 76338 - Can not boot the system when there is no drive in /dev/hda.
Can not boot the system when there is no drive in /dev/hda.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-20 05:12 EDT by Ivo Sarak
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2002-10-20 05:12:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
It is not possible to boot from partitions on /dev/hdX (X>a) when there is no
drive in /dev/hda.

Version-Release number of selected component (if applicable):
This problem has been on every RedHat Linux I ever tried.

How reproducible:

Steps to Reproduce:
0.Install a drive to /dev/hda and install a RedHat Linux to it;
1.Move drive form /dev/hda to /dev/hdb;
2.Change the appropriate /etc/fstab, /boot/grub/grub.conf and /etc/lilo.conf
settings from /dev/hda to /dev/hdb;
3.Set the BIOS to boot from IDE1 or "other devices";
4.Try to boot the system;

Actual Results:  RedHat Linux is unable to start.

Expected Results:  System up and running as in case of drive being at /dev/hda.

Additional info:

Result is the same even if to try install RedHat Linux directly to /dev/hdb from

Also, if to boot up the system from floppy and drive being at /dev/hdb, the df
will report the partitions as /dev/hda.
Comment 1 Bugzilla owner 2004-09-30 11:40:06 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.